package com.css.simulation.resource.scheduler.mapper;


import org.apache.ibatis.annotations.*;
import org.apache.ibatis.type.JdbcType;

@Mapper
public interface ProjectMapper {


    @Results(id = "job", value = {
            @Result(property = "id", column = "id", jdbcType = JdbcType.VARCHAR)
    })


    @Update("update simulation_project\n" +
            "set state = #{state}\n" +
            "where id = #{id}")
    void updateProjectState(@Param("id") String id,@Param("state") String state);
}
