package com.css.simulation.resource.feign;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.RedisParameter;
import com.css.simulation.resource.common.config.FeignConfiguration;
import com.css.simulation.resource.feign.fallback.RedisServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;


//@FeignClient(name = "test", url = "http://10.15.12.72:8001", fallback = RedisServiceFallback.class, configuration = FeignConfiguration.class)
@FeignClient(value = "simulation-resource-common", fallback = RedisServiceFallback.class, configuration = FeignConfiguration.class)
public interface RedisService {

    @PostMapping("/simulation/resource/common/redis/set")
    ResponseBodyVO<String> set(RedisParameter redisParameter);
}
