package com.css.simulation.resource.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.RedisParameter;
import com.css.simulation.resource.feign.RedisService;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;

@Service
public class RedisServiceFallback implements RedisService {

    @Override
    public ResponseBodyVO<String> set(@RequestBody RedisParameter redisParameter) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }
}
