package com.css.simulation.oauth.server.pojo.po;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户。
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserPO implements Serializable {

    private String id;              // 用户主键（唯一）
    private String username;        // 登录用户名
    private String nickname;        // 用户昵称，用于显示
    private String password;        // 密码（加密）
    private String phone;
    private String job;
    private String isDeleted = "0";

}