package com.css.simulation.resource.system.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.system.DictParam;
import com.css.simulation.resource.system.service.DictService;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("/dict")
public class DictCtrl {

    @Autowired
    DictService dictService;

    @RequestMapping("/refreshDicts")
    @ResponseBody
    public ResponseBodyVO refreshDicts(@RequestBody @Validated DictParam param) throws JsonProcessingException {
        ResponseBodyVO<String> response = new ResponseBodyVO<String>(ResponseBodyVO.Response.SUCCESS);
        response.setInfo(dictService.refreshDicts(param));
        return response;
    }

}
